## Name

gfperf-parallel-write — Gfarm measure file write performance

## Synopsis

`gfperf-parallel-write` [-t, --testdir `test directory`] [-m, --gfarm2fs `gfarm2fs mount point`] [-l, --filesize `file size`] [-b, --bufsize `buffer size`] [-r, --random `random`] [-g, --gfsd `gfsd name`] [-o, --overwrite `overwrite flag`] [-k, --timeout `timeout seconds`] [-n, --name `group name`] [-w, --wait `start time`]

## DESCRIPTION

This command mesures file write performance of specified size of file in `test directory`. The test file is automatically created and removed. If overwrite flag is on, test file is not removed to be reused again.

This command is expected to be called by gfperf.rb in parallel.

## OPTIONS

`-t, --testdir` `test directory`

  Test file is created in `test directory`. Specify only gfarm url (that begins with gfarm:///) . The default is gfarm:///tmp .

`-m, --gfarm2fs` `gfarm2fs mount point`

  Specify gfarm2fs mount point.

`-l, --filesize` `file size`

  File size to be created. The default is 1M. (1G=2^20)

`-b, --bufsize` `buffer size`

  Buffer size to write test file. The default is 4K. (1K=2^10)

`-r, --random` `random`

  Only if this option is specified, Writes test file randomly. Option parameter is free. If this option is omitted, this command writes test file sequentially.

`-g, --gfsd` `gfsd name`

  Specify gfsd name on which test file is created. If this option is omitted, gfmd determines automatically.

`-o, --overwrite` `overwrite flag`

  Only if this option is specified, Overwrite test file. Option parameter is free. If this option is omitted, this command appends test data on 1 byte file.

`-k, --timeout` `timeout seconds`

  Maximum write time in seconds. This comannd measures how much data to be written in this seconds.

`-n, --name` `group name`

  Group name in parallel execution.

`-w, --wait` `start time`

  Start time specified by gfperf.rb. This command waits until start time. Start time is written in UTC (YYYY-MM-DDThh:mm:ssZ) and must be in 10 seconds from current time.